Callisto4Bootloader: c4_WDOG_reg_t::c4_WDOG_wicr Union Reference

Callisto4Bootloader

Data Fields
c4_WDOG_reg_t::c4_WDOG_wicr Union Reference

Watchdog Interrupt Control. More...

`#include <c4_watchdog_types.h>`

## Data Fields

struct {
uint16_t WICT:8

Watchdog Interrupt Count Time-out field This determines how long before the counter time-out must the interrupt occur. The reset value is 0x04 implies interrupt will occur 2 seconds before time-out. The maximum value that can be programmed to WICT field is 127.5 seconds with a resolution of 0.5 seconds. More...

uint16_t resvd:6
| reserved More...
uint16_t WTIS:1
| Watchdog TImer Interrupt Status bit. More...
uint16_t WIE:1
| Watchdog Timer Interrupt enable bit. More...
} | B
uint16_t | R

## Detailed Description

Watchdog Interrupt Control.

The WDOG_WICR controls the WDOG interrupt generation.

Definition at line 213 of file c4_watchdog_types.h.

## Field Documentation

## ◆ B

struct { ... } c4_WDOG_reg_t::c4_WDOG_wicr::B

Bitfield representation.

Referenced by c4_setWdogInterrupt().

## ◆ R

uint16_t c4_WDOG_reg_t::c4_WDOG_wicr::R

Register representation.

Definition at line 250 of file c4_watchdog_types.h.

Referenced by c4_setWdogInterrupt().

## ◆ resvd

uint16_t c4_WDOG_reg_t::c4_WDOG_wicr::resvd

reserved

Definition at line 231 of file c4_watchdog_types.h.

## ◆ WICT

uint16_t c4_WDOG_reg_t::c4_WDOG_wicr::WICT

Watchdog Interrupt Count Time-out field This determines how long before the counter time-out must the interrupt occur. The reset value is 0x04 implies interrupt will occur 2 seconds before time-out. The maximum value that can be programmed to WICT field is 127.5 seconds with a resolution of 0.5 seconds.

Note
  This field is write once only. Once the software does a write access to this field, it will get locked and cannot be reprogrammed until the next system reset assertion.

- 00000000b - WICT[7:0] = Time duration between interrupt and time-out is 0 seconds.
- 00000001b - WICT[7:0] = Time duration between interrupt and time-out is 0.5 seconds.
- 00000100b - WICT[7:0] = Time duration between interrupt and time-out is 2 seconds (Default).
- 11111111b - WICT[7:0] = Time duration between interrupt and time-out is 127.5 seconds.

Definition at line 217 of file c4_watchdog_types.h.

Referenced by c4_setWdogInterrupt().

## ◆ WIE

uint16_t c4_WDOG_reg_t::c4_WDOG_wicr::WIE

Watchdog Timer Interrupt enable bit.

Reset value is 0.

Note
  This bit is a write once only bit. Once the software does a write access to this bit, it will get locked and cannot be reprogrammed until the next system reset assertion

- 0b - Disable Interrupt (Default).
- 1b - Enable Interrupt.

Definition at line 240 of file c4_watchdog_types.h.

## ◆ WTIS

uint16_t c4_WDOG_reg_t::c4_WDOG_wicr::WTIS

Watchdog TImer Interrupt Status bit.

This will reflect the timer interrupt status, whether interrupt has occurred or not. Once the interrupt has been triggered software must clear this bit by writing 1 to it.

- 0b - No interrupt has occurred (Default).
- 1b - Interrupt has occurred

Definition at line 232 of file c4_watchdog_types.h.

The documentation for this union was generated from the following file:

- lib/c4_watchdog_types.h